Bug 330031 - /usr/include/error.h includes a non-existent header <bits/error.h>
/usr/include/error.h includes a non-existent header <bits/error.h>
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 16:51 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 03:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2007-10-12 16:51:35 EDT
Description of problem:
/usr/include/error.h includes a non-existent header <bits/error.h>, which
prevents me from building MPlayer.

Version-Release number of selected component (if applicable):
glibc-headers-2.6.90-18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Get MPlayer-1.0rc2 source
2. ./configure
3. make
  
Actual results:
[...]
In file included from dvb_tune.c:33:
/usr/include/error.h:53:25: error: bits/error.h: No such file or directory
make[1]: *** [dvb_tune.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/MPlayer-1.0rc2/stream'
make: *** [stream/stream.a] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.86535 (%build)


Expected results:
MPlayer should build successfully, like it does on F-7.

Additional info:

Lines 52-54 from /usr/include/error.h are responsible:
52 #if defined __extern_always_inline && defined __va_arg_pack
53 # include <bits/error.h>
54 #endif

$ rpm --root /var/lib/mock/fedora-development-x86_64/root -ql glibc-headers |
grep error.h
/usr/include/error.h

There's no bits/error.h anywhere.
Comment 1 Jakub Jelinek 2007-10-15 03:38:21 EDT
Should be fixed in glibc-2.6.90-20.

Note You need to log in before you can comment on or make changes to this bug.